#version 150

in vec3 position;
in vec3 ambient_color;
in vec3 diffuse_color;
in vec3 normal;
in vec2 uvcoords;
in vec4 tangent;

uniform mat4 model_view;
uniform mat4 model_view_projection;

invariant out vec3 position_out_vs;
invariant out vec3 ambient_color_out_vs;
invariant out vec3 diffuse_color_out_vs;
invariant out vec3 normal_out_vs;
invariant out vec2 uvcoords_out_vs;
invariant out vec3 tangent_out_vs;

void main(void)
{
	gl_Position = model_view_projection * vec4(position, 1.0);
	position_out_vs = (model_view * vec4(position, 1)).xyz;
	ambient_color_out_vs = ambient_color;
	diffuse_color_out_vs = diffuse_color;
	normal_out_vs = normalize(mat3(model_view) * normal);
	//normal_out_vs = normalize(mat3(model_view) * vec3(0,0,1));
	uvcoords_out_vs = uvcoords;
	tangent_out_vs = tangent.xyz;
}
