#version 150

invariant in vec3 position_out_vs;
invariant in vec3 ambient_color_out_vs;
invariant in vec3 diffuse_color_out_vs;
invariant in vec3 normal_out_vs;
invariant in vec2 uvcoords_out_vs;
invariant in vec3 tangent_out_vs;

out vec4 distort_spec;

uniform vec4 viewport; // xy = viewport x and y position, zw = inverted viewport width/height; all measurements in pixels
uniform float time;

void main(void)
{
	// get screen space position, normalized to -1..1 across x and y dimensions
	vec2 position = (gl_FragCoord.xy - viewport.xy) * viewport.zw * vec2(5000, 8000);
	vec2 xy = (vec2(
		sin(position.x / 60 + time * 4 * 1.5) * sin(position.x / 10) * cos(position.x / 50),
		sin(position.y / 50 - time * 4 * 2.75)
	) * 0.1 + vec2(1,1)) * 0.5;
	distort_spec = vec4(xy, 0, 0);
}
