#version 150

invariant in vec3 position_out_vs;
invariant in vec3 ambient_color_out_vs;
invariant in vec3 diffuse_color_out_vs;
invariant in vec3 normal_out_vs;
invariant in vec2 uvcoords_out_vs;
invariant in vec3 tangent_out_vs;

out vec4 shadow_out;

void main(void)
{
	float distance = length(position_out_vs.xyz);
	float moment1 = distance;
	float moment2 = distance * distance;
	float dx = dFdx(distance);
	float dy = dFdy(distance);
	moment2 += 0.25 * (dx * dx + dy * dy);
	shadow_out = vec4(moment1, moment2, 0.0, 0.0);
}

