#version 150

in vec3 position;
uniform mat4 model_view_projection;
uniform mat4 model_view;
uniform vec4 color_and_radius;
invariant out vec3 pos_vs;

void main(void)
{
	// scale geosphere vertex position according to radius, and a factor of 1.26;
	// it enlarges the geosphere, to compensate for the difference between it and an ideal sphere
	vec4 pos = vec4(position * color_and_radius.a * 1.26, 1.0);
	gl_Position = model_view_projection * pos; // transform position regularly
	pos_vs = (model_view * pos).xyz; // also transform position to view space (for the fragment shader)
}

