#version 150

uniform sampler2D light_output_buffer;
uniform sampler2D distortion_specparams_buffer;
out vec4 frag_color;
invariant in vec2 uvcoords_out_vs;

void main(void)
{
	vec2 distortion_xy = texture2D(distortion_specparams_buffer, uvcoords_out_vs).rg;
	vec3 lit_fragment = texture2D(light_output_buffer, uvcoords_out_vs + ((distortion_xy - 0.5) * 2.0) * 0.05).rgb;
	lit_fragment = pow(lit_fragment, vec3(1,1,1)*1.0/2.2);
	lit_fragment = 0.9 * (1 - exp(-0.9 * lit_fragment));
	frag_color = vec4(lit_fragment, 0.0);
}

