#version 150

uniform vec2 invtexsize;
uniform sampler2D texture;
out vec4 frag_color;
invariant in vec2 uvcoords_out_vs;

const float g1 = 0.0625;
const float g2 = 0.25;
const float g3 = 0.375;
const float g4 = 0.25;
const float g5 = 0.0625;

void main(void)
{
	vec4 f1 = texture2D(texture, uvcoords_out_vs + vec2(0, -2) * invtexsize);
	vec4 f2 = texture2D(texture, uvcoords_out_vs + vec2(0, -1) * invtexsize);
	vec4 f3 = texture2D(texture, uvcoords_out_vs                           );
	vec4 f4 = texture2D(texture, uvcoords_out_vs + vec2(0,  1) * invtexsize);
	vec4 f5 = texture2D(texture, uvcoords_out_vs + vec2(0,  2) * invtexsize);

	frag_color =
		f1 * g1 +
		f2 * g2 +
		f3 * g3 +
		f4 * g4 +
		f5 * g5 ;
}

